Spaces method and path for this operation:
post /s/{space_id}/api/security/entity_store/resolution/unlink
Refer to Spaces for more information.
Remove one or more entities from their resolution group. Requires an enterprise license.
[Required authorization] Route required privileges: securitySolution AND securitySolution-entity-analytics.
POST
/api/security/entity_store/resolution/unlink
curl
curl -X POST -H "kbn-xsrf: true" -H "Authorization: ApiKey ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{"entity_ids":["user:jdoe@example.com"]}' \
"${KIBANA_URL}/api/security/entity_store/resolution/unlink"
POST kbn://api/security/entity_store/resolution/unlink
{
"entity_ids": ["user:jdoe@example.com"]
}
Request example
Remove entities from their resolution group, restoring them as standalone entities.
{
"entity_ids": [
"user:jdoe@example.com",
"user:j.doe@example.com"
]
}
Response examples (200)
The entities were successfully removed from their resolution group.
{
"skipped": [],
"unlinked": [
"user:jdoe@example.com",
"user:j.doe@example.com"
]
}
Response examples (404)
One or more of the specified entity identifiers were not found.
{
"error": "Not Found",
"message": "Entities not found: [user:nonexistent@example.com]",
"statusCode": 404
}